Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions.alm
Class BooleanRestriction

    java.lang.Object
      org.jasig.portal.layout.restrictions.UserLayoutRestriction
          org.jasig.portal.layout.restrictions.alm.ALRestriction
              org.jasig.portal.layout.restrictions.alm.BooleanRestriction

All Implemented Interfaces:
  IUserLayoutRestriction

Direct Known Subclasses:
  HiddenRestriction, ImmutableRestriction, UnremovableRestriction

    public abstract class BooleanRestriction

extends ALRestriction

BooleanRestriction checks the restriction on the boolean property for a given ILayoutNode object.

Company: Instructional Media & Magic Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout.restrictions. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov

Field Summary
`private boolean` | `boolValue1`
`private boolean` | `boolValue2`

Fields inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`nodePath`

Fields inherited from interface org.jasig.portal.layout.restrictions.IUserLayoutRestriction
`CHILDREN_RESTRICTION_PATH, LOCAL_RESTRICTION_PATH, PARENT_RESTRICTION_PATH`

Constructor Summary
`BooleanRestriction()`
`BooleanRestriction(java.lang.String name)`
`BooleanRestriction(java.lang.String name, java.lang.String nodePath)`

Method Summary
`protected boolean` | `checkRestriction(boolean boolProperty)`
`boolean` | `checkRestriction(ILayoutNode node)` Checks the restriction for the specified node
`boolean` | `checkRestriction(java.lang.String propertyValue)` Checks the restriction for the specified property
`protected abstract boolean` | `getBooleanPropertyValue(ILayoutNode node)` Gets the boolean property value for the specified node
`protected void` | `parseRestrictionExpression()` Parses the restriction expression of the current node
`private boolean` | `strToBool(java.lang.String boolStr)`

Methods inherited from class org.jasig.portal.layout.restrictions.alm.ALRestriction
`checkRestriction`

Methods inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`getName, getRestrictionExpression, getRestrictionPath, getUniqueKey, getUniqueKey, getUniqueKey, setName, setRestrictionExpression, setRestrictionPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### boolValue1

    private boolean boolValue1

### boolValue2

    private boolean boolValue2

Constructor Detail

### BooleanRestriction

    public BooleanRestriction(java.lang.String name,
                              java.lang.String nodePath)

### BooleanRestriction

    public BooleanRestriction(java.lang.String name)

### BooleanRestriction

    public BooleanRestriction()

Method Detail

### strToBool

    private boolean strToBool(java.lang.String boolStr)

### parseRestrictionExpression

    protected void parseRestrictionExpression()
                                       throws PortalException

  Parses the restriction expression of the current node

  Specified by:
    `parseRestrictionExpression` in class `UserLayoutRestriction`
  Throws:
    `PortalException`

### getBooleanPropertyValue

    protected abstract boolean getBooleanPropertyValue(ILayoutNode node)

  Gets the boolean property value for the specified node

### checkRestriction

    protected boolean checkRestriction(boolean boolProperty)
                                throws PortalException

  Throws:
    `PortalException`

### checkRestriction

    public boolean checkRestriction(ILayoutNode node)
                             throws PortalException

  Checks the restriction for the specified node

  Specified by:
    `checkRestriction` in interface `IUserLayoutRestriction`
  Overrides:
    `checkRestriction` in class `UserLayoutRestriction`
  Parameters:
    `node` - a `ILayoutNode` user layout node to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException`

### checkRestriction

    public boolean checkRestriction(java.lang.String propertyValue)
                             throws PortalException

  Checks the restriction for the specified property

  Specified by:
    `checkRestriction` in interface `IUserLayoutRestriction`
  Specified by:
    `checkRestriction` in class `UserLayoutRestriction`
  Parameters:
    `propertyValue` - a `String` property value
  Returns:
    a boolean value
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD